Kerbal Space Program - Bug #3919

Center of lift appears differently in VAB and SPH
01/01/2015 12:29 PM - sdelisle

Status: Closed Start date: 01/01/2015
Severity: Very Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

| was building a spaceplane, and had to launch it from the VAB because of the part count limit. | noticed the center of lift appeared
really wrong in the VAB.

Even though the vector appears weird, the vessel seems to fly normally.
Steps to reproduce:
1. Build something that looks like a plane in the SPH
2. Save it
3. Go in the VAB, and select the saved vessel from the "SPH" list
4. Note the orientation of the vessel on import, and the position of the CoL marker.

5. Select the root part to automatically orientate the vessel to the vertical.
6. Note the new CoL marker position.

Example 1:

In spaceplane hangar:

wn ol .

KERBAL ENGINEER REDUX 1.0.13.1 BODY-KERBIN  'ATMOSPHERIC 'ALLSTAGES 'SETTINGS ‘COMPACT

PARTS cosT MASS 1P THRUST  TORQUE TWR (MAX) DELTA-V BURN
Uity

W ~name

KERBAL ENGINEER REDUX 1.0.13.1 ‘BODY: KERBIN ATMOSPHERIC 'ALL STAGES /SETTINGS ‘compacT

PARTS cosT MASS 18P THRUST  TORQUE TWR (MAX) DELTA-V BURN
s1 03 0.0/21651.0 016,770k 1000.05 300.00kN 14.5kNm 4.52(5.80) 2,460/2,460mis  13m 5.65

RESOURG
EloctricCharg
LiquidFuol

Rotated in VAB for horizontal launch:

Uity
Name  Ma:
~
" BODY:KERBIN  'ATMOSPHERIC 'ALLSTAGES 'SETTINGS 'COMPACT

PARTS cosT MASS 18P THRUST  TORQUE TWR (MAX) DELTA-V BURN
s1 03 0.0/21651.0 016,770kg 1000.05 300.00kN 14.5kNm 2 6Omis  13m 5.6s

VESSEL
Delta-V: o
Mass: 6. RESOURCES
[ 4 o TwR: 0} | ElectricCharge:
lo! Parts: 6 | LiquidFuoi: (1,500kg) 300.0

Example 2: httpf//imgur.com/a/Yogka

History

#1 - 01/02/2015 04:31 AM - Squelch
- Status changed from New to Need More Info

- Severity changed from Normal to Very Low

| have not been able to reproduce this behaviour on a stock game. | built a couple of craft, including an attempt to copy the one in the images, and the
CoL marker appears to be rendered correctly in both the SPH and VAB. | am unable to see any discernable difference in the two construction modes
apart from the expected direction change.

I notice you are using Kerbal Engineer, ans possibly other mods which may be affecting the CoL marker. Could you please try to replicate in a clean
game to rule out all other variables, and then attach the affected craft file and logs?

#2 - 01/02/2015 12:47 PM - sdelisle
- File Polaris I.craft added

- File KSP.log added

- File CoL test craft.zip added

| was able to reproduce it with the same vessel in an unmodded game, in a new sandbox save. Here's the craft and log.
Also included: another simpler craft that has the same issue, with some screenshots.

#3 - 01/02/2015 01:56 PM - Squelch

- File #3919-polaris-sph.png added

- File #3919-polaris-vab.png added

- File #3919-test-sph.png added

- File #3919-test-vab.png added

Thanks for the files and stock testing.

| loaded up the craft files, and there does seem to be something odd going on.

The test.craft initially looks to be the same. However the Polaris.craft does appear to be offset longitudinally, but without the lateral offset shown in the
initial images, nor the same lateral offset shown in the uploaded test craft images.

The direction of lift (major axes) seems to have reversed for no apparent reason in the test.craft. Both were copied to the SPH folder, and both have
been tagged as SPH in the file which would indicate where they were originally built (native), the CoL looks about right except for the direction change
when loaded (imported) into the VAB.

Attached are screenshots taken for the two craft as seen on this testers machine (Win7 x64 - KSP x86)

Everything looks as expected with this craft in its native SPH
#3919-polaris-sph.png

Imported into the VAB, the ColL is shifted forward
#3919-polaris-vab.png

Everything looks ok for the test craft in its native editor
#3919-test-sph.png

But the CoL major direction makes an unexpected reversal when imported into the VAB. The position appears correct
#3919-test-vab.png

This needs further testing as | am able to observe that something isn't quite right, | do not get the same results as the original reporter.
#4 - 01/02/2015 03:29 PM - sdelisle
And did you try bringing the nose of the craft upwards in the VAB? That's when | got the lateral offset.

(Also not sure if that's expected, but just clicking on the cockpit without doing any actual rotation will bring it upwards. Could make sense since we're
in the VAB, not sure.)

#5 - 01/02/2015 06:50 PM - Squelch

- Description updated

- Status changed from Need More Info to Confirmed
- % Done changed from 0 to 10

sdelisle wrote:

And did you try bringing the nose of the craft upwards in the VAB? That's when | got the lateral offset.

Until you mentioned it, no. | have taken the liberty of adding some extra steps to the reproduction in the original description to make this clear.

| can now confirm that this operation does cause the CoL marker to both reverse direction (to the expected and correct direction) and offsets the
marker laterally as seen in the original image.

(Also not sure if that's expected, but just clicking on the cockpit without doing any actual rotation will bring it upwards. Could make sense since

we're in the VAB, not sure.)

| believe the origin and vectors are different for the VAB and SPH editor modes, and that behaviour is intended. However, the change in vectors and

origin may also be at the heart of this issue.

#6 - 07/17/2016 09:27 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#7 - 08/09/2016 11:30 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For

best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here

-tracker/ and tag @TriggerAu to get my attention

Files

SPH.jpg 499 KB 01/01/2015 sdelisle
VAB.jpg 554 KB 01/01/2015 sdelisle
VABrotated.jpg 752 KB 01/01/2015 sdelisle
Polaris I.craft 81.6 KB 01/02/2015 sdelisle
KSP.log 147 KB 01/02/2015 sdelisle
Col test craft.zip 2.06 MB 01/02/2015 sdelisle
#3919-polaris-sph.png 1.36 MB 01/02/2015 Squelch
#3919-polaris-vab.png 1.23 MB 01/02/2015 Squelch
#3919-test-sph.png 1.6 MB 01/02/2015 Squelch
#3919-test-vab.png 1.47 MB 01/02/2015 Squelch
http://bugs.kerbalspaceprogram.com/projects/ksp/wiki
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/
http://www.tcpdf.org

